Query Gifts (Full)
curl --request POST \
--url https://api.virtuoussoftware.com/api/Gift/Query/FullGift \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groups": [
{
"conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
}
]
},
{
"conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
}
]
}
],
"sortBy": "<string>",
"descending": "<boolean>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
groups: [
{
conditions: [
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
},
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
}
]
},
{
conditions: [
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
},
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
}
]
}
],
sortBy: '<string>',
descending: '<boolean>'
})
};
fetch('https://api.virtuoussoftware.com/api/Gift/Query/FullGift', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Gift/Query/FullGift"
payload = {
"groups": [{ "conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": ["<string>", "<string>"]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": ["<string>", "<string>"]
}
] }, { "conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": ["<string>", "<string>"]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": ["<string>", "<string>"]
}
] }],
"sortBy": "<string>",
"descending": "<boolean>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Gift/Query/FullGift");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"groups\": [\n {\n \"conditions\": [\n {\n \"parameter\": \"<string>\",\n \"operator\": \"<string>\",\n \"value\": \"<string>\",\n \"secondaryValue\": \"<string>\",\n \"values\": [\n \"<string>\",\n \"<string>\"\n ]\n },\n {\n \"parameter\": \"<string>\",\n \"operator\": \"<string>\",\n \"value\": \"<string>\",\n \"secondaryValue\": \"<string>\",\n \"values\": [\n \"<string>\",\n \"<string>\"\n ]\n }\n ]\n },\n {\n \"conditions\": [\n {\n \"parameter\": \"<string>\",\n \"operator\": \"<string>\",\n \"value\": \"<string>\",\n \"secondaryValue\": \"<string>\",\n \"values\": [\n \"<string>\",\n \"<string>\"\n ]\n },\n {\n \"parameter\": \"<string>\",\n \"operator\": \"<string>\",\n \"value\": \"<string>\",\n \"secondaryValue\": \"<string>\",\n \"values\": [\n \"<string>\",\n \"<string>\"\n ]\n }\n ]\n }\n ],\n \"sortBy\": \"<string>\",\n \"descending\": \"<boolean>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Gift/Query/FullGift';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
groups: [
{
conditions: [
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
},
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
}
]
},
{
conditions: [
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
},
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
}
]
}
],
sortBy: '<string>',
descending: '<boolean>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"list": [
{
"id": 500142,
"transactionSource": null,
"transactionId": null,
"contactId": 100234,
"contactName": "Marcus Castellano",
"contactUrl": "https://api.virtuoussoftware.com/api/Contact/100234",
"giftType": "Check",
"giftTypeFormatted": "Check",
"giftDate": "2025-10-12T00:00:00Z",
"giftDateFormatted": "10/12/2025",
"amount": 1000,
"amountFormatted": "$1,000.00",
"currencyCode": "USD",
"exchangeRate": 1,
"baseCurrencyCode": "USD",
"batch": "4421",
"createDateTimeUtc": "2025-10-12T14:18:55Z",
"createdByUser": "Data Import",
"modifiedDateTimeUtc": "2025-10-13T08:00:00Z",
"modifiedByUser": "Receipt Service",
"segmentId": 2012,
"segment": "Capital Campaign — Phase II",
"segmentCode": "CAP-2012",
"segmentUrl": "https://api.virtuoussoftware.com/api/Segment/2012",
"mediaOutletId": null,
"mediaOutlet": null,
"grantId": null,
"grant": null,
"grantUrl": null,
"notes": "Capital campaign pledge fulfillment",
"tribute": null,
"tributeId": null,
"tributeType": null,
"acknowledgeeIndividualId": null,
"receiptDate": "2025-10-13T08:00:00Z",
"receiptDateFormatted": "10/13/2025",
"contactPassthroughId": null,
"contactPassthroughUrl": null,
"contactIndividualId": 200234,
"cashAccountingCode": null,
"giftAskId": null,
"contactMembershipId": null,
"giftDesignations": [
{
"id": 600210,
"projectId": 1503,
"project": "Building Renovation",
"projectCode": "CAP-RENO",
"externalAccountingCode": "4400",
"projectType": "Capital",
"projectLocation": "Springfield, OR",
"projectUrl": "https://api.virtuoussoftware.com/api/Project/1503",
"amountDesignated": 1000,
"display": "Building Renovation ($1,000.00)"
}
],
"giftPremiums": [],
"pledgePayments": [
{
"id": 900201,
"expectedPaymentDate": "2025-10-01T00:00:00Z",
"expectedAmount": 1000,
"giftId": 500142,
"actualAmount": 1000
}
],
"recurringGiftPayments": [],
"giftUrl": "https://api.virtuoussoftware.com/api/Gift/500142",
"isPrivate": false,
"isTaxDeductible": true,
"customFields": [
{
"name": "SourceCode",
"value": "CAP-2012-MAIL",
"displayName": "Source Code"
},
{
"name": "AcknowledgementSent",
"value": "true",
"displayName": "Acknowledgement Sent"
}
]
}
],
"total": 3892
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Giving
Query Gifts (Full)
Returns the full gift info along with the query. This can cause performance issues. We recommend using the Gift Query endpoint for quicker results. You can sort by Id, Amount, GiftDate, ReceiptDate and Batch.
POST
/
api
/
Gift
/
Query
/
FullGift
Query Gifts (Full)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of records to skip. Default = 0.
The number of records to take. Default = 10. Max is 1000.
Body
application/json
Last modified on August 11, 2026
Was this page helpful?
⌘I